[role="xpack"]
[[ilm-settings]]
=== {ilm-cap} settings in {es}
[subs="attributes"]
++++
<titleabbrev>{ilm-cap} settings</titleabbrev>
++++

These are the settings available for configuring <<index-lifecycle-management, {ilm}>> ({ilm-init}).

==== Cluster level settings

`xpack.ilm.enabled`::
(<<static-cluster-setting,Static>>, Boolean)
deprecated:[7.8.0,Basic License features are always enabled] +
This deprecated setting has no effect and will be removed in Elasticsearch 8.0.

`indices.lifecycle.history_index_enabled`::
(<<static-cluster-setting,Static>>, Boolean)
Whether ILM's history index is enabled. If enabled, ILM will record the
history of actions taken as part of ILM policies to the `ilm-history-*`
indices. Defaults to `true`.

`indices.lifecycle.poll_interval`::
(<<dynamic-cluster-setting,Dynamic>>, <<time-units, time unit value>>) 
How often {ilm} checks for indices that meet policy criteria. Defaults to `10m`.

==== Index level settings
These index-level {ilm-init} settings are typically configured through index
templates. For more information, see <<ilm-gs-create-policy>>.

`index.lifecycle.indexing_complete`::
(<<indices-update-settings,Dynamic>>, Boolean) 
Indicates whether or not the index has been rolled over. 
Automatically set to `true` when {ilm-init} completes the rollover action.
You can explicitly set it to <<skipping-rollover, skip rollover>>.
Defaults to `false`.

`index.lifecycle.name`::
(<<indices-update-settings, Dynamic>>, string) 
The name of the policy to use to manage the index.

[[index-lifecycle-origination-date]]
`index.lifecycle.origination_date`::
(<<indices-update-settings,Dynamic>>, long) 
If specified, this is the timestamp used to calculate the index age for its phase transitions. 
Use this setting if you create a new index that contains old data and 
want to use the original creation date to calculate the index age. 
Specified as a Unix epoch value.

[[index-lifecycle-parse-origination-date]]
`index.lifecycle.parse_origination_date`::
(<<indices-update-settings,Dynamic>>, Boolean) 
Set to `true` to parse the origination date from the index name. 
This origination date is used to calculate the index age for its phase transitions. 
The index name must match the pattern `^.*-{date_format}-\\d+`, 
where the `date_format` is `yyyy.MM.dd` and the trailing digits are optional.
An index that was rolled over would normally match the full format, 
for example `logs-2016.10.31-000002`). 
If the index name doesn't match the pattern, index creation fails.

[[index-lifecycle-step-wait-time-threshold]]
`index.lifecycle.step.wait_time_threshold`::
(<<indices-update-settings,Dynamic>>, <<time-units,time value>>)
Time to wait for the cluster to resolve allocation issues during an {ilm-init}
<<ilm-shrink,`shrink`>> action. Must be greater than `1h` (1 hour). Defaults to
`12h` (12 hours). See <<ilm-shrink-shard-allocation>>.

`index.lifecycle.rollover_alias`::
(<<indices-update-settings,Dynamic>>, string) 
The index alias to update when the index rolls over. Specify when using a
policy that contains a rollover action. When the index rolls over, the alias is
updated to reflect that the index is no longer the write index. For more
information about rolling indices, see <<index-rollover, Rollover>>.
